'''
*  This work is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International (CC BY-NC-SA 4.0) License.
*
*
*  To view a copy of this license, visit
*
*  German version:  http://creativecommons.org/licenses/by-nc-sa/4.0/deed.de
*  English version: http://creativecommons.org/licenses/by-nc-sa/4.0/
*
*  or send a letter to Creative Commons, 171 Second Street, Suite 300, San Francisco, California, 94105, USA.
'''


import xbmc
import xbmcaddon


addon = xbmcaddon.Addon("service.screensaver.deactivated.wol")
if addon.getSetting('activeatstartup') == 'true':
    ACTIVE = True
else:
    ACTIVE = False


class MyWOLMonitor(xbmc.Monitor):        
    def onScreensaverDeactivated(self):
        global ACTIVE
        ACTIVE = True
    def onScreensaverActivated(self):
        global ACTIVE
        ACTIVE = False


if __name__ == '__main__':
    WOLMonitor = MyWOLMonitor()
    xbmc.sleep(int(addon.getSetting('delay')) * 1000)
    while (not xbmc.abortRequested):
        if ACTIVE:        
            xbmc.executebuiltin('WakeOnLan(' + addon.getSetting('mac') + ')')
            if addon.getSetting('notification') == 'true':
                xbmc.executebuiltin('Notification(WOL, WOL-Paket gesendet)')
        xbmc.sleep(1000)

    del WOLMonitor
